uses 
  GraphABC,System.Threading;
var x,y,z,xmax,ymax,ввод,бал,kol:int64;
rand: Thread;

procedure randomzer();
begin
x:=random(xmax);
y:=random(ymax);
z:=x*y;
end;

begin
Writeln('Добро пожаловать в Код, тут вы повторите свою таблицу умножения');
Writeln('Введите максимальное 1 число');
Readln(xmax);
Writeln('Введите максимальное 2 число');
Readln(ymax);
xmax:=xmax+1;
ymax:=ymax+1;
Loop 25 do
begin
rand := new Thread(randomzer);
rand.Start;
Writeln('Сколько будет ',x,'*',y);
Readln(ввод);
if ввод=z then
begin
writeln('Правильно!');
бал:=бал+1;
end;
if ввод<>z then
begin
Writeln('Не Правильно!, правильный ответ: ',z);
end;
kol:=kol+1;
if kol=10 then begin clearwindow(); kol:=0; end;
end;
Writeln('Ты ответил на ',бал,' вопросов');
end.